## SYNOPSIS

           getfattr [-hRLP] -n name [-e en] pathname...
           getfattr [-hRLP] -d [-e en] [-m pattern] pathname...

## DESCRIPTION

           For  each  file,  getfattr displays the file name, and the
           set of extended attribute names  (and  optionally  values)
           which are associated with that file.

           The output format of getfattr -d is as follows:
                   1:  # file: somedir/
                   2:  user.name0="value0"
                   3:  user.name1="value1"
                   4:  user.name2="value2"
                   5:  ...

           Line  1  identifies  the file name for which the following
           lines are being reported.  The remaining lines (lines 2 to
           4 above) show the name and value pairs associated with the
           specified file.

       OPTIONS
           -n name, --name=name
               Dump  the  value  of  the  named  extended   attribute
               extended attribute.

           -d, --dump
               Dump  the values of all extended attributes associated
               with pathname.

           -e en, --encoding=en
               Encode values after retrieving them.  Valid values  of
               en are "text", "hex", and "base64".  Values encoded as
               text strings are enclosed in double quotes ("),  while
               strings encoded as hexidecimal and base64 are prefixed
               with 0x and 0s, respectively.

           -h, --no-dereference
               Do not follow symlinks.  If  pathname  is  a  symbolic
               link,  the  symbolic  link  itself is examined, rather
               than the file the link refers to.

           -m pattern, --match=pattern
               Only include attributes with names matching the  regu
               lar expression pattern.  The default value for pattern
               is "^user\\.", -m which includes all the attributes in
               the  user  namespace.   Refer  to  attr(5)  for a more
               detailed discussion on namespaces.

           --absolute-names
               Do not strip  leading  slash  characters  ('/').   The
               default  behaviour  is  to strip leading slash charac

           -P, --physical
               Physical  walk,  skip  all  symbolic links.  This also
               skips symbolic link arguments.

           --version
               Print the version of getfattr and exit.

           --help
               Print help explaining the command line options.

           --  End of command line options.  All remaining parameters
               are interpreted as file names, even if they start with
               a dash character.

## AUTHOR

           Andreas Gruenbacher, <a.gruenbacher@computer.org> and  the
           SGI XFS development team, <linux-xfs@oss.sgi.com>.

           Please   send  your  bug  reports  or  comments  to  these
           addresses.

## SEE ALSO

           setfattr(1), and attr(5).

    Dec 2001               Extended Attributes            GETFATTR(1)